package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.ZArea;
import com.ruoyi.zdsz.domain.vo.GExportsVo;
import com.ruoyi.zdsz.domain.vo.GImportVo;
import com.ruoyi.zdsz.domain.vo.ZAreaVo;
import com.ruoyi.zdsz.domain.bo.ZAreaBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 小区管理Service接口
 *
 * @author ruoyi
 * @date 2023-12-27
 */
public interface IZAreaService {

    Map<String,Object> importUser(List<GImportVo> list, Boolean isUpdateSupport, String operName, int n, int successNum);

    /**
     * 查询小区管理
     */
    ZAreaVo queryById(String id);
    List<ZAreaVo> getArea(String district);

    /**
     * 查询小区管理列表
     */
    TableDataInfo<ZAreaVo> queryPageList(ZAreaBo bo, PageQuery pageQuery);
    List<GImportVo> selectList(ZAreaBo bo);

    /**
     * 查询小区管理列表
     */
    List<ZAreaVo> queryList(ZAreaBo bo);

    /**
     * 新增小区管理
     */
    Boolean insertByBo(ZAreaBo bo);

    /**
     * 修改小区管理
     */
    Boolean updateByBo(ZAreaBo bo);

    /**
     * 校验并批量删除小区管理信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    String getDictNameOfAffiliatedPackage(ZAreaBo bo);

    List<GExportsVo> getExport(ZAreaBo bo);
    void upload(HttpServletRequest request, HttpServletResponse response, String id);
}
